Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLIFrameElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLIFrameElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLIFrameElement, Node

public class JRexHTMLIFrameElementImpl
extends JRexHTMLElementImpl
implements HTMLIFrameElement

A class implementing org.w3c.dom.html2.HTMLIFrameElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLIFrameElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`Document` | `getContentDocument()` The document this frame contains, if there is any and it is available, or `null` otherwise.
`String` | `getFrameBorder()` Request frame borders.
`String` | `getHeight()` Frame height.
`String` | `getLongDesc()` URI [IETF RFC 2396] designating a long description of this image or frame.
`String` | `getMarginHeight()` Frame margin height, in pixels.
`String` | `getMarginWidth()` Frame margin width, in pixels.
`String` | `getName()` The frame name (object of the `target` attribute).
`String` | `getScrolling()` Specify whether or not the frame should have scrollbars.
`String` | `getSrc()` A URI [IETF RFC 2396] designating the initial frame contents.
`String` | `getWidth()` Frame width.
`void` | `setAlign(String align)` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`void` | `setFrameBorder(String frameBorder)` Request frame borders.
`void` | `setHeight(String height)` Frame height.
`void` | `setLongDesc(String longDesc)` URI [IETF RFC 2396] designating a long description of this image or frame.
`void` | `setMarginHeight(String marginHeight)` Frame margin height, in pixels.
`void` | `setMarginWidth(String marginWidth)` Frame margin width, in pixels.
`void` | `setName(String name)` The frame name (object of the `target` attribute).
`void` | `setScrolling(String scrolling)` Specify whether or not the frame should have scrollbars.
`void` | `setSrc(String src)` A URI [IETF RFC 2396] designating the initial frame contents.
`void` | `setWidth(String width)` Frame width.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAlign

    public String getAlign()

  Description copied from interface: `HTMLIFrameElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getAlign` in interface `HTMLIFrameElement`

### setAlign

    public void setAlign(String align)

  Description copied from interface: `HTMLIFrameElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setAlign` in interface `HTMLIFrameElement`

### getFrameBorder

    public String getFrameBorder()

  Description copied from interface: `HTMLIFrameElement`
  Request frame borders. See the frameborder attribute definition in HTML 4.01.

  Specified by:
    `getFrameBorder` in interface `HTMLIFrameElement`

### setFrameBorder

    public void setFrameBorder(String frameBorder)

  Description copied from interface: `HTMLIFrameElement`
  Request frame borders. See the frameborder attribute definition in HTML 4.01.

  Specified by:
    `setFrameBorder` in interface `HTMLIFrameElement`

### getHeight

    public String getHeight()

  Description copied from interface: `HTMLIFrameElement`
  Frame height. See the height attribute definition in HTML 4.01.

  Specified by:
    `getHeight` in interface `HTMLIFrameElement`

### setHeight

    public void setHeight(String height)

  Description copied from interface: `HTMLIFrameElement`
  Frame height. See the height attribute definition in HTML 4.01.

  Specified by:
    `setHeight` in interface `HTMLIFrameElement`

### getLongDesc

    public String getLongDesc()

  Description copied from interface: `HTMLIFrameElement`
  URI [IETF RFC 2396] designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.01.

  Specified by:
    `getLongDesc` in interface `HTMLIFrameElement`

### setLongDesc

    public void setLongDesc(String longDesc)

  Description copied from interface: `HTMLIFrameElement`
  URI [IETF RFC 2396] designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.01.

  Specified by:
    `setLongDesc` in interface `HTMLIFrameElement`

### getMarginHeight

    public String getMarginHeight()

  Description copied from interface: `HTMLIFrameElement`
  Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.01.

  Specified by:
    `getMarginHeight` in interface `HTMLIFrameElement`

### setMarginHeight

    public void setMarginHeight(String marginHeight)

  Description copied from interface: `HTMLIFrameElement`
  Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.01.

  Specified by:
    `setMarginHeight` in interface `HTMLIFrameElement`

### getMarginWidth

    public String getMarginWidth()

  Description copied from interface: `HTMLIFrameElement`
  Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.01.

  Specified by:
    `getMarginWidth` in interface `HTMLIFrameElement`

### setMarginWidth

    public void setMarginWidth(String marginWidth)

  Description copied from interface: `HTMLIFrameElement`
  Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.01.

  Specified by:
    `setMarginWidth` in interface `HTMLIFrameElement`

### getName

    public String getName()

  Description copied from interface: `HTMLIFrameElement`
  The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.01.

  Specified by:
    `getName` in interface `HTMLIFrameElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLIFrameElement`
  The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.01.

  Specified by:
    `setName` in interface `HTMLIFrameElement`

### getScrolling

    public String getScrolling()

  Description copied from interface: `HTMLIFrameElement`
  Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.01.

  Specified by:
    `getScrolling` in interface `HTMLIFrameElement`

### setScrolling

    public void setScrolling(String scrolling)

  Description copied from interface: `HTMLIFrameElement`
  Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.01.

  Specified by:
    `setScrolling` in interface `HTMLIFrameElement`

### getWidth

    public String getWidth()

  Description copied from interface: `HTMLIFrameElement`
  Frame width. See the width attribute definition in HTML 4.01.

  Specified by:
    `getWidth` in interface `HTMLIFrameElement`

### setWidth

    public void setWidth(String width)

  Description copied from interface: `HTMLIFrameElement`
  Frame width. See the width attribute definition in HTML 4.01.

  Specified by:
    `setWidth` in interface `HTMLIFrameElement`

### getSrc

    public String getSrc()

  Description copied from interface: `HTMLIFrameElement`
  A URI [IETF RFC 2396] designating the initial frame contents. See the src attribute definition in HTML 4.01.

  Specified by:
    `getSrc` in interface `HTMLIFrameElement`

### setSrc

    public void setSrc(String src)

  Description copied from interface: `HTMLIFrameElement`
  A URI [IETF RFC 2396] designating the initial frame contents. See the src attribute definition in HTML 4.01.

  Specified by:
    `setSrc` in interface `HTMLIFrameElement`

### getContentDocument

    public Document getContentDocument()

  Description copied from interface: `HTMLIFrameElement`
  The document this frame contains, if there is any and it is available, or `null` otherwise.

  Specified by:
    `getContentDocument` in interface `HTMLIFrameElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.